curl --request POST \
--url https://los.universal.rollout.com/api/loans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"amount": 123,
"type": "<string>",
"term": 123,
"loanNumber": "<string>",
"interestRate": 123,
"borrowers": [
{
"name": "<string>",
"taxId": "<string>",
"role": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"bio": {},
"type": "<string>"
}
],
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"loanToValue": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>",
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123,
"participatingUserIds": [
"<string>"
]
}
'import requests
url = "https://los.universal.rollout.com/api/loans"
payload = {
"amount": 123,
"type": "<string>",
"term": 123,
"loanNumber": "<string>",
"interestRate": 123,
"borrowers": [
{
"name": "<string>",
"taxId": "<string>",
"role": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"bio": {},
"type": "<string>"
}
],
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"loanToValue": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>",
"monthlyPayment": 123,
"escrowIncluded": True,
"pmiRequired": True,
"pmiRate": 123,
"participatingUserIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 123,
type: '<string>',
term: 123,
loanNumber: '<string>',
interestRate: 123,
borrowers: [
{
name: '<string>',
taxId: '<string>',
role: '<string>',
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>',
county: '<string>'
}
],
bio: {},
type: '<string>'
}
],
statusDate: '<string>',
applicationDate: '<string>',
closingDate: '<string>',
fundingDate: '<string>',
loanToValue: 123,
purpose: '<string>',
stage: '<string>',
status: '<string>',
monthlyPayment: 123,
escrowIncluded: true,
pmiRequired: true,
pmiRate: 123,
participatingUserIds: ['<string>']
})
};
fetch('https://los.universal.rollout.com/api/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://los.universal.rollout.com/api/loans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 123,
'type' => '<string>',
'term' => 123,
'loanNumber' => '<string>',
'interestRate' => 123,
'borrowers' => [
[
'name' => '<string>',
'taxId' => '<string>',
'role' => '<string>',
'emails' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'phones' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'addresses' => [
[
'type' => '<string>',
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'code' => '<string>',
'country' => '<string>',
'county' => '<string>'
]
],
'bio' => [
],
'type' => '<string>'
]
],
'statusDate' => '<string>',
'applicationDate' => '<string>',
'closingDate' => '<string>',
'fundingDate' => '<string>',
'loanToValue' => 123,
'purpose' => '<string>',
'stage' => '<string>',
'status' => '<string>',
'monthlyPayment' => 123,
'escrowIncluded' => true,
'pmiRequired' => true,
'pmiRate' => 123,
'participatingUserIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://los.universal.rollout.com/api/loans"
payload := strings.NewReader("{\n \"amount\": 123,\n \"type\": \"<string>\",\n \"term\": 123,\n \"loanNumber\": \"<string>\",\n \"interestRate\": 123,\n \"borrowers\": [\n {\n \"name\": \"<string>\",\n \"taxId\": \"<string>\",\n \"role\": \"<string>\",\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"bio\": {},\n \"type\": \"<string>\"\n }\n ],\n \"statusDate\": \"<string>\",\n \"applicationDate\": \"<string>\",\n \"closingDate\": \"<string>\",\n \"fundingDate\": \"<string>\",\n \"loanToValue\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123,\n \"participatingUserIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://los.universal.rollout.com/api/loans")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 123,\n \"type\": \"<string>\",\n \"term\": 123,\n \"loanNumber\": \"<string>\",\n \"interestRate\": 123,\n \"borrowers\": [\n {\n \"name\": \"<string>\",\n \"taxId\": \"<string>\",\n \"role\": \"<string>\",\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"bio\": {},\n \"type\": \"<string>\"\n }\n ],\n \"statusDate\": \"<string>\",\n \"applicationDate\": \"<string>\",\n \"closingDate\": \"<string>\",\n \"fundingDate\": \"<string>\",\n \"loanToValue\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123,\n \"participatingUserIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://los.universal.rollout.com/api/loans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"type\": \"<string>\",\n \"term\": 123,\n \"loanNumber\": \"<string>\",\n \"interestRate\": 123,\n \"borrowers\": [\n {\n \"name\": \"<string>\",\n \"taxId\": \"<string>\",\n \"role\": \"<string>\",\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"bio\": {},\n \"type\": \"<string>\"\n }\n ],\n \"statusDate\": \"<string>\",\n \"applicationDate\": \"<string>\",\n \"closingDate\": \"<string>\",\n \"fundingDate\": \"<string>\",\n \"loanToValue\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123,\n \"participatingUserIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"loanNumber": "<string>",
"interestRate": 123,
"amount": 123,
"term": 123,
"loanToValue": 123,
"type": "<string>",
"purpose": "<string>",
"status": "<string>",
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"userParticipantIds": [
"<string>"
],
"borrowerParticipantIds": [
"<string>"
],
"stage": "<string>",
"stageHistory": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"scheduledStartDate": "2023-11-07T05:31:56Z",
"actualStartDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"plannedDurationDays": 123,
"actualDurationDays": 123,
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>"
},
"requiresReview": true,
"isReviewed": true,
"order": 123,
"isRequired": true,
"notes": "<string>",
"metadata": null
}
],
"loanFolder": "<string>",
"archived": true,
"mortgageType": "<string>",
"lienType": "<string>",
"amortizationType": "<string>",
"armInitialPeriodMonths": 123,
"armSubsequentPeriodMonths": 123,
"expectedRentalIncome": 123,
"expectedNetRentalIncome": 123,
"communityProperty": true,
"transactionDetail": "<string>",
"refinanceType": "<string>",
"refinanceProgram": "<string>",
"energyImprovement": "<string>",
"projectType": "<string>",
"proposedMonthlyPayment": {
"firstMortgagePI": 123,
"subordinatePI": 123,
"homeownersInsurance": 123,
"supplementalInsurance": 123,
"propertyTaxes": 123,
"mortgageInsurance": 123,
"associationDues": 123,
"other": 123,
"total": 123
},
"loanFeatures": {
"balloon": true,
"interestOnly": true,
"negativeAmortization": true,
"prepaymentPenalty": true,
"temporaryBuydown": true,
"other": "<string>"
},
"qualifyingFunds": {
"dueFromBorrower": 123,
"totalMortgageLoans": 123,
"totalCredits": 123,
"cashFromToBorrower": 123
},
"titleInfo": {
"heldInNames": "<string>",
"currentlyHeldInNames": "<string>",
"estateType": "<string>",
"leaseholdExpiration": "<string>",
"mannerOfTitle": "<string>",
"trustInfo": "<string>",
"tribalLand": true
},
"loanOriginator": {
"organizationName": "<string>",
"organizationNmlsId": "<string>",
"organizationStateLicense": "<string>",
"individualName": "<string>",
"individualNmlsId": "<string>",
"individualStateLicense": "<string>",
"email": "<string>",
"phone": "<string>"
},
"otherNewMortgageLoans": [
{
"creditor": "<string>",
"lienType": "<string>",
"monthlyPayment": 123,
"loanAmount": 123,
"creditLimit": 123
}
],
"giftsOrGrants": [
{
"assetType": "<string>",
"source": "<string>",
"deposited": true,
"value": 123
}
],
"rolloutUpdated": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}{
"errors": [
{
"message": "<string>"
}
]
}Create Loan
Requires loans: true in the credential’s entitiesToSync selection and a connector that supports this operation. Choose what data to sync, or fix an entity that is not configured to sync.
curl --request POST \
--url https://los.universal.rollout.com/api/loans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"amount": 123,
"type": "<string>",
"term": 123,
"loanNumber": "<string>",
"interestRate": 123,
"borrowers": [
{
"name": "<string>",
"taxId": "<string>",
"role": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"bio": {},
"type": "<string>"
}
],
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"loanToValue": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>",
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123,
"participatingUserIds": [
"<string>"
]
}
'import requests
url = "https://los.universal.rollout.com/api/loans"
payload = {
"amount": 123,
"type": "<string>",
"term": 123,
"loanNumber": "<string>",
"interestRate": 123,
"borrowers": [
{
"name": "<string>",
"taxId": "<string>",
"role": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"bio": {},
"type": "<string>"
}
],
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"loanToValue": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>",
"monthlyPayment": 123,
"escrowIncluded": True,
"pmiRequired": True,
"pmiRate": 123,
"participatingUserIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 123,
type: '<string>',
term: 123,
loanNumber: '<string>',
interestRate: 123,
borrowers: [
{
name: '<string>',
taxId: '<string>',
role: '<string>',
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>',
county: '<string>'
}
],
bio: {},
type: '<string>'
}
],
statusDate: '<string>',
applicationDate: '<string>',
closingDate: '<string>',
fundingDate: '<string>',
loanToValue: 123,
purpose: '<string>',
stage: '<string>',
status: '<string>',
monthlyPayment: 123,
escrowIncluded: true,
pmiRequired: true,
pmiRate: 123,
participatingUserIds: ['<string>']
})
};
fetch('https://los.universal.rollout.com/api/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://los.universal.rollout.com/api/loans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 123,
'type' => '<string>',
'term' => 123,
'loanNumber' => '<string>',
'interestRate' => 123,
'borrowers' => [
[
'name' => '<string>',
'taxId' => '<string>',
'role' => '<string>',
'emails' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'phones' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'addresses' => [
[
'type' => '<string>',
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'code' => '<string>',
'country' => '<string>',
'county' => '<string>'
]
],
'bio' => [
],
'type' => '<string>'
]
],
'statusDate' => '<string>',
'applicationDate' => '<string>',
'closingDate' => '<string>',
'fundingDate' => '<string>',
'loanToValue' => 123,
'purpose' => '<string>',
'stage' => '<string>',
'status' => '<string>',
'monthlyPayment' => 123,
'escrowIncluded' => true,
'pmiRequired' => true,
'pmiRate' => 123,
'participatingUserIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://los.universal.rollout.com/api/loans"
payload := strings.NewReader("{\n \"amount\": 123,\n \"type\": \"<string>\",\n \"term\": 123,\n \"loanNumber\": \"<string>\",\n \"interestRate\": 123,\n \"borrowers\": [\n {\n \"name\": \"<string>\",\n \"taxId\": \"<string>\",\n \"role\": \"<string>\",\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"bio\": {},\n \"type\": \"<string>\"\n }\n ],\n \"statusDate\": \"<string>\",\n \"applicationDate\": \"<string>\",\n \"closingDate\": \"<string>\",\n \"fundingDate\": \"<string>\",\n \"loanToValue\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123,\n \"participatingUserIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://los.universal.rollout.com/api/loans")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 123,\n \"type\": \"<string>\",\n \"term\": 123,\n \"loanNumber\": \"<string>\",\n \"interestRate\": 123,\n \"borrowers\": [\n {\n \"name\": \"<string>\",\n \"taxId\": \"<string>\",\n \"role\": \"<string>\",\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"bio\": {},\n \"type\": \"<string>\"\n }\n ],\n \"statusDate\": \"<string>\",\n \"applicationDate\": \"<string>\",\n \"closingDate\": \"<string>\",\n \"fundingDate\": \"<string>\",\n \"loanToValue\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123,\n \"participatingUserIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://los.universal.rollout.com/api/loans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"type\": \"<string>\",\n \"term\": 123,\n \"loanNumber\": \"<string>\",\n \"interestRate\": 123,\n \"borrowers\": [\n {\n \"name\": \"<string>\",\n \"taxId\": \"<string>\",\n \"role\": \"<string>\",\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"bio\": {},\n \"type\": \"<string>\"\n }\n ],\n \"statusDate\": \"<string>\",\n \"applicationDate\": \"<string>\",\n \"closingDate\": \"<string>\",\n \"fundingDate\": \"<string>\",\n \"loanToValue\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\",\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123,\n \"participatingUserIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"loanNumber": "<string>",
"interestRate": 123,
"amount": 123,
"term": 123,
"loanToValue": 123,
"type": "<string>",
"purpose": "<string>",
"status": "<string>",
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"userParticipantIds": [
"<string>"
],
"borrowerParticipantIds": [
"<string>"
],
"stage": "<string>",
"stageHistory": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"scheduledStartDate": "2023-11-07T05:31:56Z",
"actualStartDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"plannedDurationDays": 123,
"actualDurationDays": 123,
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>"
},
"requiresReview": true,
"isReviewed": true,
"order": 123,
"isRequired": true,
"notes": "<string>",
"metadata": null
}
],
"loanFolder": "<string>",
"archived": true,
"mortgageType": "<string>",
"lienType": "<string>",
"amortizationType": "<string>",
"armInitialPeriodMonths": 123,
"armSubsequentPeriodMonths": 123,
"expectedRentalIncome": 123,
"expectedNetRentalIncome": 123,
"communityProperty": true,
"transactionDetail": "<string>",
"refinanceType": "<string>",
"refinanceProgram": "<string>",
"energyImprovement": "<string>",
"projectType": "<string>",
"proposedMonthlyPayment": {
"firstMortgagePI": 123,
"subordinatePI": 123,
"homeownersInsurance": 123,
"supplementalInsurance": 123,
"propertyTaxes": 123,
"mortgageInsurance": 123,
"associationDues": 123,
"other": 123,
"total": 123
},
"loanFeatures": {
"balloon": true,
"interestOnly": true,
"negativeAmortization": true,
"prepaymentPenalty": true,
"temporaryBuydown": true,
"other": "<string>"
},
"qualifyingFunds": {
"dueFromBorrower": 123,
"totalMortgageLoans": 123,
"totalCredits": 123,
"cashFromToBorrower": 123
},
"titleInfo": {
"heldInNames": "<string>",
"currentlyHeldInNames": "<string>",
"estateType": "<string>",
"leaseholdExpiration": "<string>",
"mannerOfTitle": "<string>",
"trustInfo": "<string>",
"tribalLand": true
},
"loanOriginator": {
"organizationName": "<string>",
"organizationNmlsId": "<string>",
"organizationStateLicense": "<string>",
"individualName": "<string>",
"individualNmlsId": "<string>",
"individualStateLicense": "<string>",
"email": "<string>",
"phone": "<string>"
},
"otherNewMortgageLoans": [
{
"creditor": "<string>",
"lienType": "<string>",
"monthlyPayment": 123,
"loanAmount": 123,
"creditLimit": 123
}
],
"giftsOrGrants": [
{
"assetType": "<string>",
"source": "<string>",
"deposited": true,
"value": 123
}
],
"rolloutUpdated": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}{
"errors": [
{
"message": "<string>"
}
]
}Authorizations
Consumer JWT minted by the tenant's backend
The Rollout Credential ID to use for queries/mutations
Query Parameters
Comma-separated top-level fields to return; the parameter can also be repeated, once per field. id is always returned. Omit it, or pass allFields, to get every field, including original. Unknown names return 400.
Body
Show child attributes
Show child attributes
Response
The created loan.
The created loan.
Rollout's stable universal id for this loan. Use this to reference the loan in the Rollout API.
The human-facing loan number assigned by the source system, or null if it doesn't assign one. This is distinct from the source's internal record id (see originalIds) and from any source-specific GUID (available on original). Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
The source system's own identifiers for this loan, keyed by original entity name (e.g. { loan: "17102475" } is the source's internal loan record id). This is NOT the human loan number (see loanNumber). Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.
Show child attributes
Show child attributes
Present unless the request's fields leaves it out.